Page MenuHomePhabricator

request to enable Move Files to Commons feature in sourceswiki
Closed, ResolvedPublic2 Story Points

Description

Wikisource.org community kindly request to enable beta test feature for file transfer with full history (T144480: Move files from Wikipedia to Commons), similarily like it is enabled for Arabic Wikipedia (T196908).

The community consensus is here:
https://wikisource.org/wiki/Wikisource:Scriptorium#File_transfer_feature

We would welcome also similar feature for transfer in opposite direction, hewever we understand that this is not supported at the moment.

Event Timeline

Ankry created this task.Jul 2 2018, 8:27 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 2 2018, 8:27 AM
Ankry added a subscriber: Bmueller.Jul 2 2018, 8:28 AM

Hi @Ankry, we are really happy to hear that! Just one question: For which language wikisource do you want to have the FileExporter enabled? Right now, we only have config files for en and th (see here). Since we are still in the small beta, we cannot yet enable it for all wikisources at the same time. Should we just start with en and th then?

(More info what can be done with the config files can also be found on this help page)

Ankry added a comment.Jul 3 2018, 7:26 PM

@Lea_WMDE Request is from sourceswiki, the Multilingual Wikisource (called sometimes Old Wikisource).

WMDE-Fisch set the point value for this task to 2.Jul 5 2018, 8:09 AM

Change 444901 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Enable FileExporter for sourceswiki

https://gerrit.wikimedia.org/r/444901

WMDE-Fisch moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2018-07-03 board.

@Ankry we will enable the beta feature for the file export this afternoon ( 3pm CEST ).

To make use if the filter and replacement rules you should create a config page for the plain wikisource.org domain on https://www.mediawiki.org/wiki/Extension:FileImporter/Data/ ( see also the config help page ). As inspiration or template you could probably use the en.wikisource config page. Thanks! :-)

Change 444901 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable FileExporter for sourceswiki

https://gerrit.wikimedia.org/r/444901

Mentioned in SAL (#wikimedia-operations) [2018-07-11T11:23:52Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:444901|Enable FileExporter for sourceswiki (T198594)]] (duration: 00m 56s)

This is live now - I forgot that the meeting changed and the UTC time stated above now translates to 1pm CEST. You should be able to enable it in the beta features section.

Be aware, that the beta feature will only be visible to non newbies. - I almost forgot about that and was confused, why I did not see the setting at first :-). And now have fun testing!

To be on the safe side, I just created https://www.mediawiki.org/wiki/Extension:FileImporter/Data/wikisource as a copy of https://www.mediawiki.org/wiki/Extension:FileImporter/Data/en.wikisource

The main effect of that by now is, that files can only be moved if they have one of the Good templates included and none of the Bad templates.

Lea_WMDE closed this task as Resolved.Jul 18 2018, 3:51 PM